WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::eap_method_prop Class Reference
Extensible Authentication Protocol API

EAP_METHOD_PROPERTY wrapper class. More...

`#include <WinStd/EAP.h>`

Inheritance diagram for winstd::eap_method_prop:

## Public Member Functions
| eap_method_prop (EAP_METHOD_PROPERTY_TYPE type, BOOL value) noexcept
| Constructs a BOOL method property.
| eap_method_prop (EAP_METHOD_PROPERTY_TYPE type, DWORD value) noexcept
| Constructs a DWORD method property.
| eap_method_prop (EAP_METHOD_PROPERTY_TYPE type, LPCWSTR value) noexcept
| Constructs a Unicode string method property.

## Detailed Description

EAP_METHOD_PROPERTY wrapper class.

## Constructor & Destructor Documentation

## ◆ eap_method_prop() [1/3]

winstd::eap_method_prop::eap_method_prop | ( | EAP_METHOD_PROPERTY_TYPE | type,
|  | BOOL | value )
| inline noexcept

Constructs a BOOL method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

## ◆ eap_method_prop() [2/3]

winstd::eap_method_prop::eap_method_prop | ( | EAP_METHOD_PROPERTY_TYPE | type,
|  | DWORD | value )
| inline noexcept

Constructs a DWORD method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

## ◆ eap_method_prop() [3/3]

winstd::eap_method_prop::eap_method_prop | ( | EAP_METHOD_PROPERTY_TYPE | type,
|  | LPCWSTR | value )
| inline noexcept

Constructs a Unicode string method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h